import javax.servlet.ServletException;
import java.io.IOException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import com.paysafecard.merchant.*;

/**
 * Servlet implementation class transSuccess
 */
@WebServlet("/transPN")
public class transPN extends HttpServlet {
	private static final long serialVersionUID = 1L;
	private SOPGClassicMerchantClient client;
    private String currency;
    private String amount;
     
    /**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */ 
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		currency = request.getParameter("currency");
	}
	 
	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		//run doGet to grad the GET-variable for currency and amount
		doGet(request, response);
		// Get these variables from the session
		HttpSession session = request.getSession();
		boolean debug = (boolean) session.getAttribute("param_debug");
		String lang = (String) session.getAttribute("param_lang");
		boolean autokorrektur = (boolean) session.getAttribute("param_autokorrektur");
		// Get the other variables
		String mtid = request.getParameter("mtid");
		// Initialize client
		client = new SOPGClassicMerchantClient("test", debug, lang, autokorrektur);
		// Set merchant access data
		client.merchant("psc_teststeinweber_test", "KKIJSC8GXB75F");
		// Run getserialNumbers and save the status in a variablen
		try {
			String status = client.getSerialNumbers(mtid, currency, "").get("return");
			// When status is execute: run executeDebit
			if(status == "execute"){
				//Save the result of executeDebit in a variable to care about it later
				boolean retVal = client.executeDebit(amount, "1");
				if(retVal){
					//If executedebit returned true, the transaction has been successfull
				}else{
					//Otherwise not
				}
			}
		} catch (Exception e) {
			// nothing
		}
	}
}
