package com.paysafecard.merchant.tests;

import com.paysafecard.merchant.Debug;
import junit.framework.TestCase;

public class DebugTest extends TestCase {

	public void testAddDebug(){
		Debug.addDebug("test", "Adding Debug-Message for testing..");
		assertEquals("Should return'Adding Debug-Message for testing..'", "test: Adding Debug-Message for testing..", Debug.getDebug());
	}
	
	public void testClearDebug(){
		Debug.setDebugenabled(true);
		Debug.addDebug("test", "Adding Debug-Message for testing..");
		Debug.clear();
		assertEquals("Should be empty", "", Debug.getDebug());
	}
}
